#!/usr/bin/make -f

export CLASSPATH=/usr/share/java/batik.jar:/usr/share/java/servlet-api-3.1.jar

%:
	dh $@ --buildsystem=ant

override_dh_auto_build:
	dh_auto_build -- -f build/build.xml -Dbatik.classpath=/usr/share/java/batik.jar -Dant.build.javac.source=1.7 jar javadocs

override_dh_auto_test:

override_dh_auto_clean:

override_dh_auto_install:
	dh_install build/jCharts-0.7.5.jar usr/share/java/
	dh_link /usr/share/java/jCharts-0.7.5.jar usr/share/java/jcharts.jar

get-orig-source:
	uscan --verbose --force-download
